## argon2 0~20160406

=== debian/changelog ===
argon2 (0~20160406-3) unstable; urgency=high

  * debian/rules: explicit target for optimizations
    (Closes: #828779)

 -- Luca Bruno <lucab@debian.org>  Sun, 21 Aug 2016 09:03:33 +0000

argon2 (0~20160406-2) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * fix Vcs-* endpoints
  * add manpage for argon2 (Closes: #820491)
  * bump Standards-Version to 3.9.8 (no changes needed)

  [ Luca Bruno ]
  * argon2: fix section for utils package

 -- Luca Bruno <lucab@debian.org>  Sat, 16 Apr 2016 09:37:28 +0200

argon2 (0~20160406-1) unstable; urgency=medium

  * First upload to unstable

 -- Luca Bruno <lucab@debian.org>  Fri, 08 Apr 2016 23:47:47 +0200

argon2 (0~20160406-0~exp1) experimental; urgency=medium

  * New upstream release
    + drop Makefile patch, applied upstream
    + stable libargon2.so.0 interface, bump symbols
  * Refreshed debian/control
    + update Vcs-* endpoints
    + bump policy version

 -- Luca Bruno <lucab@debian.org>  Thu, 07 Apr 2016 23:40:58 +0200

argon2 (0~20151206-0~exp1) experimental; urgency=medium

  * Initial release (Closes: #810602)
    + library interface not stable yet, targeting experimental

 -- Luca Bruno <lucab@debian.org>  Fri, 08 Jan 2016 22:34:17 +0100
