=== debian/changelog ===
argon2 (0~20161029-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libargon2-0-udeb package for debian-installer. Required as
    dependency for libcryptsetup12-udeb. (Closes: #880525)

 -- Jonas Meurer <jonas@freesources.org>  Sat, 06 Jan 2018 17:54:34 +0100

argon2 (0~20161029-1) unstable; urgency=medium

  [ Luca Bruno ]
  * New upstream version 0~20161029

  [ Tyler Hicks ]
  * debian/copyright: argon2 is now dual-licensed
  * debian/libargon2-0.symbols: Add new symbols for argon2id support

 -- Luca Bruno <lucab@debian.org>  Sun, 16 Jul 2017 10:38:31 +0000
