=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,6 @@
 
 override_dh_auto_test:
 	-$(MAKE) -j1 test
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb="libargon2-0-udeb"
