## argon2 0~20161029-1.1+8.0trisquel1

=== debian/changelog ===
argon2 (0~20161029-1.1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Oct 2018 20:03:52 +0000
