=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: argon2
 Priority: optional
-Maintainer: Luca Bruno <lucab@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 9),
                dh-exec (>=0.3)
 Standards-Version: 4.1.4
@@ -60,7 +60,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: cryptsetup-initramfs (<<2:2.6.1-2)
 Multi-Arch: same
 Description: memory-hard hashing function - runtime library
  Argon2 is a password-hashing function that can be used to hash passwords
