## argon2 0~20190702

=== debian/changelog ===
argon2 (0~20190702-0.1+0~20190710.3+debian8~1.gbp2fb167) unstable; urgency=medium

  ** SNAPSHOT build @2fb16735e211de42d09081a9b7469410b9211572 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Wed, 10 Jul 2019 11:26:35 +0200

argon2 (0~20190702-0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Ondřej Surý ]
  * Non-maintainer upload.
  * New upstream version 0~20190702

 -- Ondřej Surý <ondrej@sury.org>  Wed, 10 Jul 2019 10:48:05 +0200
