## argon2 0~20190702%2Bdfsg

=== debian/watch ===
version=4
opts=\
filenamemangle=s%(?:.*?/)?v?(\d[\d.]*)\.tar\.gz%argon2-$1.tar.gz%,\
uversionmangle=s/^([\d]{8})/0~$1/,\
dversionmangle=auto,\
repacksuffix=+dfsg \
https://github.com/p-h-c/phc-winner-argon2/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
